package counter3;

import java.beans.*;

public class CounterLimitator implements VetoableChangeListener {

  private int min, max;

  CounterLimitator(int minLim, int maxLim) {
    min = minLim;
    max = maxLim;
  }

  public int getMax() {
    return max;
  }

  
  public void setMax(int max) {
    this.max = max;
  }

  
  public int getMin() {
    return min;
  }

  
  public void setMin(int min) {
    this.min = min;
  }

  
  public void vetoableChange(PropertyChangeEvent e)
      throws PropertyVetoException {
    Integer newVal = (Integer) e.getNewValue();
    int val = newVal.intValue();
    if (val < min || val > max)
      throw new PropertyVetoException("Niedopuszczalna zmiana wartoci", e);
  }
}
